MediaWiki:Common.css: Difference between revisions

align content center with max-width 600px
Tag: Reverted
making colors brighter in light mode
 
(18 intermediate revisions by the same user not shown)
Line 7: Line 7:
--vw-bg-subtle: #f8f9fa;
--vw-bg-subtle: #f8f9fa;
--vw-bg-heading: #EAECF0;
--vw-bg-heading: #EAECF0;
--vw-text-subtle:  #555555;
--vw-border: #A2A9B1;
--vw-border: #A2A9B1;
--vw-accent: #af3350;
--vw-accent: #af3350;
--vw-accent-subtle: #f5dde2;
--vw-accent-subtle: #f5dde2;
--vw-gold: #8a7633;
--vw-gold: #b7a054;
--vw-gold-subtle: #f4f0dc;
--vw-gold-subtle: #f4f0dc;
--vw-green: #478a33;
--vw-green: #6bb754;
--vw-green-subtle: #e0f4dc;
--vw-green-subtle: #e0f4dc;
--vw-teal: #338a76;
--vw-teal: #338a76;
--vw-teal-subtle: #dcf4f0;
--vw-teal-subtle: #dcf4f0;
--vw-blue: #33478a;
--vw-blue: #546bb7;
--vw-blue-subtle: #dce0f4;
--vw-blue-subtle: #dce0f4;
--vw-violet: #76338A;
--vw-violet: #76338A;
Line 29: Line 31:
--vw-bg-subtle: #2a2f36;
--vw-bg-subtle: #2a2f36;
--vw-bg-heading: #27292D;
--vw-bg-heading: #27292D;
--vw-text-subtle:  #BBBBBB;
--vw-border: #72777D;
--vw-border: #72777D;
--vw-accent: #F2A0B2;  
--vw-accent: #ad6171;  
--vw-accent-subtle: #3d1e26;
--vw-accent-subtle: #3d1e26;
--vw-gold: #f2e0a1;
--vw-gold: #ad9c61;
--vw-gold-subtle: #3e351e;
--vw-gold-subtle: #3e351e;
--vw-green: #f2e0a1;
--vw-green: #74ad61;
--vw-green-subtle: #263e1e;
--vw-green-subtle: #263e1e;
--vw-teal: #a1f2e0;
--vw-teal: #61ad9b;
--vw-teal-subtle: #1e3e35;
--vw-teal-subtle: #1e3e35;
--vw-blue: #a1b3f2;
--vw-blue: #6171ad;
--vw-blue-subtle: #1e263e;
--vw-blue-subtle: #1e263e;
--vw-violet: #e0a1f2;
--vw-violet: #9c61ad;
--vw-violet-subtle: #351e3e;
--vw-violet-subtle: #351e3e;
}
}
Line 50: Line 54:
--vw-bg-subtle: #2a2f36;
--vw-bg-subtle: #2a2f36;
--vw-bg-heading: #27292D;
--vw-bg-heading: #27292D;
--vw-text-subtle:  #BBBBBB;
--vw-border: #72777D;
--vw-border: #72777D;
--vw-accent: #F2A0B2;  
--vw-accent: #F2A0B2;  
--vw-accent-subtle: #3d1e26;
--vw-accent-subtle: #3d1e26;
--vw-gold: #f2e0a1;
--vw-gold: #ad9c61;
--vw-gold-subtle: #3e351e;
--vw-gold-subtle: #3e351e;
--vw-green: #f2e0a1;
--vw-green: #74ad61;
--vw-green-subtle: #263e1e;
--vw-green-subtle: #263e1e;
--vw-teal: #a1f2e0;
--vw-teal: #61ad9b;
--vw-teal-subtle: #1e3e35;
--vw-teal-subtle: #1e3e35;
--vw-blue: #a1b3f2;
--vw-blue: #6171ad;
--vw-blue-subtle: #1e263e;
--vw-blue-subtle: #1e263e;
--vw-violet: #e0a1f2;
--vw-violet: #9c61ad;
--vw-violet-subtle: #351e3e;
--vw-violet-subtle: #351e3e;
     }
     }
Line 83: Line 90:
.mw-logo-wordmark {
.mw-logo-wordmark {
     font-size: 1.5rem;
     font-size: 1.5rem;
     color: maroon;
     color: var(--vw-accent);
}
}


Line 93: Line 100:


.infobox {
.infobox {
    width: 300px;
     float: right;
     float: right;
     margin: 0 0 1em 1em;
     margin: 0 0 1em 1em;
Line 104: Line 110:
         box-sizing: border-box;
         box-sizing: border-box;
     }
     }
     .infobox th[colspan="2"] {
     .infobox img {
         width: 100% !important;  
         max-width: 100% !important;
         display: block;  
         overflow: hidden;
     }
     }
}
}
@media (min-width: 601px){
.infobox{
max-width: 300px !important;
}
}
.page-Main_Page .firstHeading {  
.page-Main_Page .firstHeading {  
display: none;  
display: none;  
Line 120: Line 132:
border-bottom-color: var(--vw-accent);  
border-bottom-color: var(--vw-accent);  
width: min(100%, 400px);
width: min(100%, 400px);
}
@media (max-width: 600px) {
#welcome-box {
align-content: center;
}
}
}


Line 148: Line 155:
#feature-box h2 { border-bottom-color: var(--vw-gold); }
#feature-box h2 { border-bottom-color: var(--vw-gold); }


.documentation .mw-editsection:not(.documentation-edit) {
    display: none;
}


.documentation .mw-editsection {
.poster-container {
    display: none;
display:flex; flex-wrap:wrap; gap:0.4em;
}
}